### Function

# GLib Sequence new

since: 2.14

#### Declaration [src]

    GSequence*
    g_sequence_new (
      GDestroyNotify data_destroy
    )

#### Description [src]

Creates a new GSequence. The `data_destroy` function, if non-`NULL` will be called on all items when the sequence is destroyed and on items that are removed from the sequence.

Available since: 2.14

This function is not directly available to language bindings.

#### Parameters

`data_destroy`

  Type: `GDestroyNotify`

  A `GDestroyNotify` function, or `NULL`.

#### Return value

Type: `GSequence`

A new `GSequence`.

The caller of the function takes ownership of the data, and is responsible for freeing it.